egenix-mx-base (3.2.9-3) unstable; urgency=medium

  * QA upload.
  * Remove explicit dependencies on python.
  * Build-depend on dh-python.
  * Bump debhelper to v9.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jan 2020 16:26:24 +0100

egenix-mx-base (3.2.9-2) unstable; urgency=medium

  * Orphan package

 -- Joel Rosdahl <joel@debian.org>  Sat, 28 Dec 2019 15:21:16 +0100

egenix-mx-base (3.2.9-1) unstable; urgency=medium

  * New upstream release 3.2.9

 -- Joel Rosdahl <joel@debian.org>  Sat, 24 Oct 2015 18:12:23 +0200

egenix-mx-base (3.2.8-1) unstable; urgency=low

  * New upstream release 3.2.8
  * Update Standards-Version to 3.9.6 (no changes required)

 -- Joel Rosdahl <joel@debian.org>  Fri, 24 Oct 2014 22:25:22 +0200

egenix-mx-base (3.2.7-1) unstable; urgency=low

  * New upstream release 3.2.7

 -- Joel Rosdahl <joel@debian.org>  Tue, 10 Dec 2013 20:58:32 +0100

egenix-mx-base (3.2.6-1) unstable; urgency=low

  * New upstream release 3.2.6 (closes: #725180)
  * Update Standards-Version to 3.9.4 (no changes required)

 -- Joel Rosdahl <joel@debian.org>  Wed, 02 Oct 2013 20:52:50 +0200

egenix-mx-base (3.2.5-1) unstable; urgency=low

  * New upstream release 3.2.5 (closes: #664686)
  * Update Standards-Version to 3.9.3 (no changes required)
  * Remove lintian overrides again since they apparently no longer are needed

 -- Joel Rosdahl <joel@debian.org>  Wed, 28 Nov 2012 22:08:07 +0100

egenix-mx-base (3.2.4-1) unstable; urgency=low

  * New upstream release 3.2.4
  * Update watch file to work with new upstream directory index page
  * Add X-Python-Version control field
  * Build with flags from /usr/share/dpkg/buildflags.mk for hardening

 -- Joel Rosdahl <joel@debian.org>  Sun, 25 Nov 2012 20:55:09 +0100

egenix-mx-base (3.2.1-1) unstable; urgency=low

  * New upstream release (closes: #641441)

 -- Joel Rosdahl <joel@debian.org>  Wed, 14 Sep 2011 21:51:01 +0200

egenix-mx-base (3.2.0-1) unstable; urgency=low

  * New upstream release (closes: #494792)
  * Add working debian/watch file
  * Remove unnecessary ${shlibs:Depends} for doc packages
  * Add ${python:Depends} again

 -- Joel Rosdahl <joel@debian.org>  Sun, 03 Jul 2011 21:17:22 +0200

egenix-mx-base (3.1.3-5) unstable; urgency=low

  * Convert from dh_pycentral to dh_python2 (closes: #616798)
  * Remove unused ${python:Depends} and ${python:Provides}
  * Add build-arch and build-indep targets to debian/rules
  * Use debhelper compat level 8
  * Add dummy watch file explaining why there's no watch file
  * Bump Standards-Version to 3.9.2
  * Add small comments that the dbg packages are normally not needed
  * Add dependency to the python package since we have some scripts as well

 -- Joel Rosdahl <joel@debian.org>  Sun, 26 Jun 2011 22:39:55 +0200

egenix-mx-base (3.1.3-4) unstable; urgency=low

  * Split documentation into -doc packages. Closes: #570531.

 -- Joel Rosdahl <joel@debian.org>  Sun, 16 May 2010 16:02:57 +0200

egenix-mx-base (3.1.3-3) unstable; urgency=low

  * Changed source package format to "3.0 (quilt)".
  * Updated Standards-Version to 3.8.4.
  * Don't compile with debug information in the non-dbg package.

 -- Joel Rosdahl <joel@debian.org>  Sun, 16 May 2010 15:00:19 +0200

egenix-mx-base (3.1.3-2) unstable; urgency=low

  * Added ${misc:Depends} requirements.

 -- Joel Rosdahl <joel@debian.org>  Wed, 27 Jan 2010 22:14:26 +0100

egenix-mx-base (3.1.3-1+b1) unstable; urgency=low

  * Binary-only non-maintainer upload for amd64; no source changes.
  * Build extension for python2.6

 -- amd64 Build Daemon (brahms) <buildd_amd64-brahms@buildd.debian.org>  Tue, 26 Jan 2010 00:44:03 +0000

egenix-mx-base (3.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Mon, 21 Dec 2009 22:41:29 +0100

egenix-mx-base (3.1.2-5) unstable; urgency=low

  * Another try at allowing Python 2.6 builds: Let debian/movefile.sh
    refer to usr/lib/python$ver/*-packages/...

 -- Joel Rosdahl <joel@debian.org>  Wed, 21 Oct 2009 20:11:28 +0200

egenix-mx-base (3.1.2-4) unstable; urgency=low

  * Bumped build dependency on python-all-dev to >= 2.5.4. Closes: #551699.
  * Added XB-Python-Version entry to python-egenix-mx-base-dbg.

 -- Joel Rosdahl <joel@debian.org>  Tue, 20 Oct 2009 22:45:08 +0200

egenix-mx-base (3.1.2-3) unstable; urgency=low

  * Another try at allowing Python 2.6 builds: Let .install files refer to
    usr/lib/python*/*-packages/...

 -- Joel Rosdahl <joel@debian.org>  Tue, 20 Oct 2009 22:33:47 +0200

egenix-mx-base (3.1.2-2) unstable; urgency=low

  * Allow building with Python 2.6. Closes: #547826.
  * Updated Standard-Version to 3.8.3.

 -- Joel Rosdahl <joel@debian.org>  Wed, 14 Oct 2009 08:11:45 +0200

egenix-mx-base (3.1.2-1) unstable; urgency=low

  * New upstream release.
  * Updated Standard-Version to 3.8.1.
  * Put the -dbg package in the debug section.

 -- Joel Rosdahl <joel@debian.org>  Fri, 15 May 2009 20:23:21 +0200

egenix-mx-base (3.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Sun, 28 Sep 2008 17:21:09 +0200

egenix-mx-base (3.1.0-1) unstable; urgency=low

  * New upstream release. Closes: #430557.
  * Updated Standard-Version to 3.8.0.
  
 -- Joel Rosdahl <joel@debian.org>  Sun, 29 Jun 2008 16:06:01 +0200

egenix-mx-base (3.0.0-4) unstable; urgency=low

  * Added missing dependency on python-egenix-mxdatetime for
    python-egenix-mxuid. Closes: #474555.
  * Added missing dependency on python-egenix-mxtexttools for
    python-egenix-mxurl.
  * Removed obsolete dpatches and build dependency on dpatch.
  * Updated Standards-Version to 3.7.3.
  * Fixed spelling error in python-egenix-mx-base-dbg description.
  * Added copyright notice to copyright file.
  * Changed to section Programming/Python for doc-base documentation.

 -- Joel Rosdahl <joel@debian.org>  Sun, 06 Apr 2008 17:00:04 +0200

egenix-mx-base (3.0.0-3) unstable; urgency=low

  * Always use the unversioned interpreter name in executable example
    scripts. See Ubuntu Launchpad #147138.

 -- Joel Rosdahl <joel@debian.org>  Wed, 10 Oct 2007 21:40:14 +0200

egenix-mx-base (3.0.0-2) unstable; urgency=low

  * Added conflicts/depends on old python2.3 packages again.
  * Build python-egenix-mx-base-dbg with debug versions of the modules as
    suggested by Mathias Klose.

 -- Joel Rosdahl <joel@debian.org>  Tue, 12 Jun 2007 21:17:50 +0200

egenix-mx-base (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/copyright with new license text and upstream source
    location.
  * New binary packages: python-egenix-mxbeebase, python-egenix-mxuid and
    python-egenix-mxurl.
  * Updated descriptions for all packages.
  * Removed conflicts/depends on old python2.3 packages.
  * Now with Python 2.5 support. Closes: #406363.
  
 -- Joel Rosdahl <joel@debian.org>  Fri, 18 May 2007 09:48:33 +0200

egenix-mx-base (2.0.6-5) unstable; urgency=low

  * Updated build dependencies on debhelper, python-central and python-all-dev.
  * Removed use of dh_python.
  * Removed DH_COMPAT variable from debian/rules to fix Lintian warning.
  
 -- Joel Rosdahl <joel@debian.org>  Sun, 22 Apr 2007 22:13:36 +0200

egenix-mx-base (2.0.6-4) unstable; urgency=low

  * Added dependencies on python-egenix-mxtools, which got lost during
    transition to the new Python policy. Closes: #374404.  
  * Removed now obsolete "dummy package" markers. Closes: #374419.
  * Readded lost build target to debian/rules.
  * Readded dependencies on ${shlibs:Depends}.
  * Added XS-Python-Standards-Version field.
  * Added versioned dependency on python-all-dev.
  * Use "pyversions -r debian/control" instead of "pyversions -s".
  * Unhardcoded creation of /usr/include/python2.[34]/mx directories.
  * Drop obsolete prerm and postinst scripts.
  * Updated Standards-Version to 3.7.2.

 -- Joel Rosdahl <joel@debian.org>  Mon, 19 Jun 2006 19:48:03 +0000

egenix-mx-base (2.0.6-3.1) unstable; urgency=low

  * Drop the versioned package, update to the revised Python policy.
    Closes: #372884.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Jun 2006 03:55:45 +0200

egenix-mx-base (2.0.6-3) unstable; urgency=low

  * Standards-Version 3.6.2.
  * Created 05_DateTime_ampm_parse_fix.dpatch. Sorry for the delay!
    Closes: bug#298024.
  * Applied bug fix from Matt Chapman to 04_DateTime_format_fix. Thanks!

 -- Joel Rosdahl <joel@debian.org>  Sun, 14 May 2006 10:58:44 +0200

egenix-mx-base (2.0.6-2) unstable; urgency=low

  * Drop Python 2.1 and 2.2 support.
  * Update to Standards-Version 3.6.1.
  * Apply 04_DateTime_format_fix patch from Ubuntu. Thanks!
    Closes: bug#325903.
  * Use dh_python and ${python:Depends} tokens in dependency fields.
  * Use dh_install instead of dh_movefiles.

 -- Joel Rosdahl <joel@debian.org>  Fri,  9 Sep 2005 23:08:28 +0200

egenix-mx-base (2.0.6-1) unstable; urgency=low

  * New upstream release. Closes: bug#290734.

 -- Joel Rosdahl <joel@debian.org>  Sun, 16 Jan 2005 16:07:13 +0100

egenix-mx-base (2.0.5-2) unstable; urgency=low

  * Build-depend on debhelper 4.

 -- Joel Rosdahl <joel@debian.org>  Fri, 20 Aug 2004 19:54:22 +0200

egenix-mx-base (2.0.5-1) unstable; urgency=low

  * New upstream release.
  * Removed 01_TextTools_tagdict.dpatch and 02_None_rebound.dpatch
    patches; merged in upstream.
  * Don't build Python 1.5 packages anymore.
  * Standards-Version 3.6.1.
  * Created 03_Segfault_fix.dpatch.
  * Include ExitFunctions.py from mxBeebase in mxTools. Closes: bug#242447.

 -- Joel Rosdahl <joel@debian.org>  Thu,  8 Apr 2004 00:08:58 +0200

egenix-mx-base (2.0.4-2) unstable; urgency=low

  * python-egenix-mx-base-dev moved to python section.
  * Debhelper compatibility level 4.
  * Standards-Version 3.6.0.
  * Use dpatch for patch management.
  * Fixed typo in tagdict() in TextTools.py. Reported by Igor Stroh.
    Closes: bug#197429.
  * Removed rebinding of None since Python 2.3 warns about it. Reported by
    Juhapekka Tolvanen. Closes: bug#200228.
  * Use Python 2.3 as default version.

 -- Joel Rosdahl <joel@debian.org>  Sat,  9 Aug 2003 14:16:03 +0200

egenix-mx-base (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Changed section from interpreters to python.
  * Standards-Version 3.5.9.

 -- Joel Rosdahl <joel@debian.org>  Thu, 24 Apr 2003 09:10:57 +0200

egenix-mx-base (2.0.3-3.2) unstable; urgency=low

  * NMU.
  * Build python2.3 packages.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Sep 2002 23:20:32 +0200

egenix-mx-base (2.0.3-3.1) unstable; urgency=low

  * Change default python version to python2.2.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Aug 2002 14:00:00 +0200

egenix-mx-base (2.0.3-3) unstable; urgency=low

  * Exclude mxBeeBase, since it doesn't work with Python compiled with
    support for large files.  (Version 2.1.0, which is not yet released,
    will fix this problem.)  Closes: bug#134832.

 -- Joel Rosdahl <joel@debian.org>  Thu, 21 Feb 2002 20:32:57 +0100

egenix-mx-base (2.0.3-2) unstable; urgency=low

  * Added notes about the python-mx* to python*-egenix-mx* transition in
    README.Debian.  Closes: bug#128249.

 -- Joel Rosdahl <joel@debian.org>  Thu, 10 Jan 2002 19:07:11 +0100

egenix-mx-base (2.0.3-1) unstable; urgency=low

  * New upstream version.

 -- Joel Rosdahl <joel@debian.org>  Wed, 26 Dec 2001 16:07:17 +0100

egenix-mx-base (2.0.2-8) unstable; urgency=low

  * Fixed spelling errors in descriptions.  Closes: bug#125292,
    bug#125291, bug#125287, bug#125286, bug#125282, bug#125289, bug#125281
    and bug#125288.

 -- Joel Rosdahl <joel@debian.org>  Tue, 18 Dec 2001 07:43:12 +0100

egenix-mx-base (2.0.2-7) unstable; urgency=low

  * Also build python1.5 packages.

 -- Joel Rosdahl <joel@debian.org>  Sat, 24 Nov 2001 12:12:12 +0100

egenix-mx-base (2.0.2-6) unstable; urgency=low

  * Removed assignments to __debug__ in various files.  Closes:
    bug#120076.
  * Added missing byte-compilation of files in
    /usr/lib/python$VERSION/site-packages/mx/Misc.

 -- Joel Rosdahl <joel@debian.org>  Sun, 18 Nov 2001 14:18:32 +0100

egenix-mx-base (2.0.2-5) unstable; urgency=low

  * Use perl instead of ed for mangling paths at build time.
    Closes: bug#118902.

 -- Joel Rosdahl <joel@debian.org>  Sat, 10 Nov 2001 09:07:47 +0100

egenix-mx-base (2.0.2-4) unstable; urgency=low

  * Include specific headers in -dev package.  Closes: bug#118750.
  * Removed some .py[co] files from the packages.

 -- Joel Rosdahl <joel@debian.org>  Thu,  8 Nov 2001 17:36:54 +0100

egenix-mx-base (2.0.2-3) unstable; urgency=low

  * Build Python 2.2 packages too.

 -- Joel Rosdahl <joel@debian.org>  Sun,  4 Nov 2001 19:38:51 +0100

egenix-mx-base (2.0.2-2) unstable; urgency=low

  * Call /usr/bin/python$VERSION in postinst, not just python.

 -- Joel Rosdahl <joel@debian.org>  Fri,  2 Nov 2001 08:47:26 +0100

egenix-mx-base (2.0.2-1) unstable; urgency=low

  * Initial release. (Based on proposed patch from Federico Di Gregorio --
    thanks!)
  * This set of packages replaces the packages python-mx* currently
    available in debian by a new set (python-egenix-mx*) containing all
    the new "BASE package" of mx tools from eGenix
    (<URL:http://www.egenix.com>).
  * Install C header files in /usr/include/python2.1/mx directory and
    include them in a package (python-egenix-mx-base-dev).
    Closes: bug#84386.
  * Updated package descriptions with ones taken from the new egenix
    documentation pages.
  * Updated copyright file. (mx tools are now distributed under a new but
    still DFSG-compliant license.)
  * The mxtools package is the base for the other modules and is
    required by all of them. (I wanted to add an mxbase package to hold
    generic information and the Misc module, but the Misc module depends
    on Tools, so I just made Tools the base package.)
  * mxDateTime is now up-to-date.  Closes: bug#111156.

 -- Joel Rosdahl <joel@debian.org>  Tue, 30 Oct 2001 08:15:32 +0100
